Name: gxkb
Version: 0.9.0
Release: 1%{?dist}
Summary: X11 keyboard indicator and switcher

License: GPLv2+
URL: https://github.com/zen-tools/gxkb
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libxklavier)

%description
gxkb is a tiny indicator applet which allows to quickly switch between
different keyboard layouts in X. A flag corresponding to the country of the
active layout is shown in the indicator area. The applet is written in C and
uses GTK+ library and therefore does not depend on any GNOME components.


%prep
%autosetup -n %{name}-%{version} -p1


%build
./autogen.sh
%configure
%make_build


%install
%make_install

# Move license file in proper location
mkdir -p %{buildroot}%{_licensedir}/%{name}/
mv %{buildroot}%{_docdir}/%{name}/COPYING %{buildroot}%{_licensedir}/%{name}/


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm
%{_docdir}/%{name}/
%{_licensedir}/%{name}/
%{_mandir}/man1/*.1.*


%changelog
* Sat Dec 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- Initial package
